<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="productShipmentReceipts"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" 
        [totalRecords]="totalItems" 
        [responsive]="true" 
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idReceipt" 
        (onLazyLoad)="loadDataLazy($event)" 
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['product-shipment-receipt-popup-new-list', idShipmentPackage] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productShipmentReceipt.receiptCode'|translate}}" field="receiptCode" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.productShipmentReceipt.idProduct'|translate}}" field="idProduct" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.productShipmentReceipt.itemDescription'|translate}}" field="itemDescription" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.productShipmentReceipt.qtyAccept'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qtyAccept | number: '.0-2'}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.qtyAccept"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '2' }"/>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.productShipmentReceipt.qtyReject'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qtyReject | number: '.0-2'}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.qtyReject"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '2' }"/>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'product-shipment-receipt/'+ rowData.idReceipt + '/popup-edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idReceipt)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
